Name:           python-great-expectations
Version:        1.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Always know what to expect from your data.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://greatexpectations.io
Source:         %{pypi_source great_expectations}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'great-expectations' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-great-expectations
Summary:        %{summary}

%description -n python3-great-expectations %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-great-expectations arrow,athena,aws_secrets,azure,azure_secrets,bigquery,clickhouse,cloud,databricks,dremio,excel,gcp,gx-redshift,hive,mssql,mysql,pagerduty,postgresql,redshift,s3,snowflake,spark,spark-connect,teradata,test,trino,vertica


%prep
%autosetup -p1 -n great_expectations-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x arrow,athena,aws_secrets,azure,azure_secrets,bigquery,clickhouse,cloud,databricks,dremio,excel,gcp,gx-redshift,hive,mssql,mysql,pagerduty,postgresql,redshift,s3,snowflake,spark,spark-connect,teradata,test,trino,vertica


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-great-expectations -f %{pyproject_files}


%changelog
%autochangelog